<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @projects = Project.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @projects = Project.all.page(params[:page]).per(10)
  end


%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('project.period') %></th>
			<th class="span3"><%= t('project.project_title') %></th>
		</tr>
	</thead>
	<tbody id="tbody_projects" class="sort-holder">
		
		
	<% @projects.each do |project| %>	
			
	<tr id="<%= dom_id project %>" class="with_action">
		<td><%= project.period_start_date.strftime("%Y.%m") %> ~ <%= project.period_end_date.strftime("%Y.%m") %></td>
		<td>
		<%= link_to project.project_title, panel_personal_project_front_end_project_path(project) %>
		</td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_project_back_end_project_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_project_plugin_project_path, :class => 'btn btn-primary pull-right' %>
	<div id="project_pagination" class="paginationFixed">
	<%= paginate @projects, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
